## ros-one-image-transport-codecs 2.5.1-89jammy.20251215.2153

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-89jammy.20251215.2153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 21:53:17 +0000
