## ros-one-image-transport-codecs 2.5.1-132noble.20260128.2124

=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-132noble.20260128.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 21:24:33 +0000
