=== debian/changelog ===
ros-one-image-transport-codecs (2.5.1-140noble.20260222.0041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 00:41:26 +0000
