=== debian/control ===
Source: ros-one-image-transport-codecs
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libturbojpeg0-dev, ros-one-catkin, ros-one-class-loader, ros-one-compressed-depth-image-transport, ros-one-compressed-image-transport, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-pluginlib, ros-one-sensor-msgs, ros-one-theora-image-transport, ros-one-topic-tools
Homepage: https://wiki.ros.org/image_transport_codecs
Standards-Version: 3.9.2

Package: ros-one-image-transport-codecs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libturbojpeg0-dev, ros-one-class-loader, ros-one-compressed-depth-image-transport, ros-one-compressed-image-transport, ros-one-cras-cpp-common, ros-one-cras-topic-tools, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-pluginlib, ros-one-sensor-msgs, ros-one-theora-image-transport, ros-one-topic-tools
Description: Image transport plugins available as C, C++ and Python libraries
